Bug 1010403 - fv_* test provides incorrect error messages when image download fails
fv_* test provides incorrect error messages when image download fails
Status: CLOSED WONTFIX
Product: Red Hat Hardware Certification Program
Classification: Red Hat
Component: Test Suite (tests) (Show other bugs)
1.7.0
x86_64 Linux
high Severity urgent
: ---
: ---
Assigned To: Greg Nichols
Red Hat Kernel QE team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-20 13:28 EDT by Greg Nichols
Modified: 2015-07-13 10:00 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1009753
Environment:
Last Closed: 2015-07-13 10:00:19 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 3 Greg Nichols 2013-10-30 13:41:32 EDT
using hwcert-client-1.7.0-62, with partner ftp url munged and a bogus LTS:

[root@hp-bl460cgen8-01 ~]# hwcert-backend run --test fv_core --server BOGUS
Warning: profiler test disabled
Warning: Could not contact the hwcert server on BOGUS
<urlopen error [Errno -2] Name or service not known>
Set server to BOGUS for  1 test(s)

Running the following tests:
fv_core                                                   
info                                                      
Error: SELinux is in permissive mode - it must be set to "enforcing" for certification testing.

1 Tests Failed Verification
Verification failed, would you like to continue testing? (y|n) y
response: y
mkdir -p /tmp/hwcert-fv_core-iljNXF
cp -a  Makefile /tmp/hwcert-fv_core-iljNXF
make: `build' is up to date.
/proc/cpuinfo has vmx flag
Testing kvm virtualization
libvirtd is running
Verified that guest hwcert-x86_64 is not running
Note: /var/lib/libvirt/images/hwcertData.img not found, attempting download
--2013-10-30 13:38:36--  http://bogus/hwcert/fv-images/hwcertData.img.tar.bz2
Resolving bogus (bogus)... failed: Name or service not known.
wget: unable to resolve host address ‘bogus’
Warning: could not download http://BOGUS/hwcert/fv-images/hwcertData.img.tar.bz2
--2013-10-30 13:38:36--  ftp://partnersxxx.redhat.com/a166eabc5cf5df158922f9b06e5e7b21/hwcert//RHEL5/fv-images/hwcertData.img.tar.bz2
           => ‘hwcertData.img.tar.bz2’
Resolving partnersxxx.redhat.com (partnersxxx.redhat.com)... failed: Name or service not known.
wget: unable to resolve host address ‘partnersxxx.redhat.com’
Warning: could not download ftp://partnersXXX.redhat.com/a166eabc5cf5df158922f9b06e5e7b21/hwcert//RHEL5/fv-images/hwcertData.img.tar.bz2
Error: could not find or download guest file hwcertData.img.tar.bz2
copying attachments...
checking directory /var/log/hwcert/runs/2/fv_core 
Skipping output.log
saveOutput: /var/log/hwcert/runs/2/fv_core/output.log
Return value was 1
Comment 5 brose 2015-07-13 10:00:19 EDT
Closing as hwcert-client is obsolete.
Please use redhat-certification-hardware instead.

Note You need to log in before you can comment on or make changes to this bug.